package main

import (
	"fmt"
	"log"

	"git.trj.tw/golang/go-crawler/modules/facebook"

	"git.trj.tw/golang/go-crawler/modules/browser"
)

func main() {
	opts := browser.Options{
		SeleniumPath: "/selenium.jar",
		DriverPath:   "/usr/bin/geckodriver",
		Port:         8080,
	}

	err := browser.NewService(opts)
	if err != nil {
		log.Fatal(err)
	}
	defer func() { browser.StopService() }()
	fmt.Println(facebook.GetLastPost("MTFoS-404079100096306"))
}
